light-mode-image
Learn
API ReferenceUsers

Retrieve all users

Roles

adminissuermanaged-issuer

Analytics Events

USER_RETRIEVE_LIST_STARTUSER_RETRIEVE_LIST_SUCCESSUSER_RETRIEVE_LIST_FAIL
GET/v1/users

Returns a list of all users on your tenant.

Analytic events

  • USER_RETRIEVE_LIST_START
  • USER_RETRIEVE_LIST_SUCCESS
  • USER_RETRIEVE_LIST_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?number

Range size of returned list.

Range1 <= value <= 1000
Default100
cursor?string

Starting point for the list of entries.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/users"
{  "nextCursor": "string",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "claims": {},      "authenticationProvider": {        "providerId": "string",        "url": "string",        "subjectId": "string"      }    }  ]}

How would you rate this page?